Bug 513800 - attempt to use kdump just freezes the box
Summary: attempt to use kdump just freezes the box
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-26 00:32 UTC by Matt Castelein
Modified: 2010-12-05 06:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 239244
Environment:
Last Closed: 2010-12-05 06:40:56 UTC
Type: ---


Attachments (Terms of Use)

Description Matt Castelein 2009-07-26 00:32:52 UTC
+++ This bug was initially created as a clone of Bug #239244 +++

Description of problem:
After getting some kernel problems, I finally decided to give kdump a try, but
to my surprise, it does not work.
Any attempt to use kdump (with sysrq-c or echo c >/proc/sysrq-trigger) leads to
instant system crash. sysrq does not work anymore at this point and the only
solution is hard poweroff.
I see that FC7 does not ship kernel-kdump package anymore, but since FC7 kernel
is built with CONFIG_RELOCATABLE, it should be fine as kdump kernel I presume.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3116.fc7

How reproducible:
100% reproducible.

Steps to Reproduce:
boot kernel with crashkernel=128M@16M option
run service kdump start
run sysctl kernel.sysrq=1
press sysrq-t or echo c >/proc/sysrq-trigger

Additional info:
The system is DELL Latitude D620 laptop with Intel Core2 Duo T7200 CPU, 2G RAM,
i686 arch.
Latest FC7 stuff from development repo.

--- Additional comment from green@linuxhacker.ru on 2007-05-14 15:24:47 EDT ---

I upgraded to 2.6.21-1.3142.fc7 and the problem is still present.

--- Additional comment from fedora-triage-list@redhat.com on 2008-04-03 20:33:50 EDT ---

Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

--- Additional comment from fedora-triage-list@redhat.com on 2008-05-06 21:41:26 EDT ---

This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

--- Additional comment from matt.castelein@rocsoft.com on 2009-07-24 19:47:31 EDT ---

I have encountered this problem on Fedora 11.  I am following the instructions at:
 https://fedoraproject.org/wiki/Kernel/kdump.. When I get to the point where I do "echo c > /proc/sysrq-trigger"  the box just freezes and no dump kernel is loaded.  It just sits there until I reset it.

Comment 1 Matt Castelein 2010-02-02 15:31:19 UTC
The fedoraproject wiki says:

  How to configure kdump
1. Make sure kernel-kdump, kexec-tools, and crash are installed:
yum install kernel-kdump kexec-tools crash

...yet when I do this, I see:

No package kernel-kdump available.
Nothing to do

Comment 2 Matt Castelein 2010-02-09 23:44:59 UTC
(In reply to comment #1)
> The fedoraproject wiki says:
> 
>   How to configure kdump
> 1. Make sure kernel-kdump, kexec-tools, and crash are installed:
> yum install kernel-kdump kexec-tools crash
> 
> ...yet when I do this, I see:
> 
> No package kernel-kdump available.
> Nothing to do    

I'm guessing this needs to be fixed in docs?

Comment 3 Matt Castelein 2010-02-09 23:45:45 UTC
This does not work in F12 either.  Trigger the crash and the box just hangs.  kdump never wakes up to do anything.

Comment 4 Bug Zapper 2010-11-04 10:41:17 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2010-12-05 06:40:56 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.